Product
获取 TikTok Shop 的单个商品:价格、带库存的规格变体、图片和视频、配送和卖家。
GET | POST /v1/tiktokshop/product参数可以用 GET 的查询字符串发送,也可以用 POST 的 JSON 请求体发送,两者等价。
参数
| 参数 | 类型 | 必填 | 说明 |
|---|---|---|---|
id | string | 是 | The marketplace's own product id, as carried by a search item. |
region | string | Buyer country as ISO 3166-1 alpha-2; sets availability, shipping and price. |
请求
curl "https://gateway.apinoa.com/v1/tiktokshop/product?id=1731665000546472026" \
-H "x-api-key: $APINOA_API_KEY"响应
在 data 中返回 Product。 真实响应的节选:数组只保留前几项,长文本已截断。
{
"success": true,
"data": {
"marketplace": "tiktokshop",
"id": "1731665000546472026",
"url": "https://shop.tiktok.com/us/pdp/x/1731665000546472026",
"title": "MSHUKCOE Sleep-Ready Mini Plastic Bluetooth 5.4 Wireless Earbuds - Noise Cancellation, 36…",
"price": {
"currency": "USD",
"amount": 33.8
},
"brand": "MSHUKCOE",
"attributes": [
{
"name": "Material",
"value": "Plastic"
}
],
"rating": {
"average": 4.4,
"count": 420
},
"seller": {
"id": "7495904598724610138",
"name": "Listening Digital",
"url": "https://shop.tiktok.com/us/store/listening-digital/7495904598724610138",
"rating": {
"average": 4.3,
"count": 76348
},
"country": "HK",
"positivePercent": 82.1,
"ext": {
"followers": 108556,
"productCount": 85,
"salesCount": 560829,
"repliesWithin24hPercent": 99.9
}
},
"salesCount": 3118,
"inStock": true,
"delivery": {
"carrier": "Fulfilled by TikTok - Standard Shipping",
"estimate": "Oct 26 - Oct 29",
"free": true,
"minDays": 2,
"maxDays": 5
},
"shippingOptions": [
{
"carrier": "Fulfilled by TikTok - Standard Shipping",
"estimate": "Oct 26 - Oct 29",
"free": true,
"minDays": 2,
"maxDays": 5
}
],
"badges": [],
"promotions": [],
"description": "MSHUKCOE Mini Bluetooth 5.4 Wireless Earbuds\nDUAL DESIGN 🌟- Ultra-slim sleep earbuds and…",
"features": [],
"media": {
"images": [
"https://p16-oec-general-useast5.ttcdn-us.com/tos-useast5-i-omjb5zjo8w-tx/80fd281283de40bf…"
],
"videos": [
{
"url": "https://v16m-default.tiktokcdn-us.com/6618a551260233cd541916b2b2754b0b/6add32dd/video/tos…",
"thumbnailUrl": "https://p16-common-sign.tiktokcdn-us.com/tos-alisg-v-f466fc-sg/ooQnqGAFuIsTCgBBEoogpHDrFx…",
"duration": "0:21"
}
]
},
"category": [
{
"id": "601739",
"name": "Phones & Electronics"
}
],
"options": [
{
"id": "100000",
"name": "Color",
"values": [
{
"id": "7541771412437616406",
"name": "Black",
"imageUrl": "https://p16-oec-general-useast5.ttcdn-us.com/tos-useast5-i-omjb5zjo8w-tx/8110346e024a41de…"
}
]
}
],
"variants": [
{
"id": "1731665000546537562",
"price": {
"currency": "USD",
"amount": 33.8
},
"purchaseLimit": 200,
"stock": 185,
"inStock": true,
"selections": [
{
"optionId": "100000",
"valueId": "7541771412437616406",
"optionName": "Color",
"valueName": "Black"
}
]
}
],
"offers": [],
"reviewAspects": [],
"boxContents": [],
"reviews": []
}
}错误
| 状态 | 代码 | 含义 |
|---|---|---|
| 400 | INVALID_PARAMS | 参数缺失、未知或超出范围。消息中会指出是哪一个。 |
| 400 | INVALID_PRODUCT_ID | id 不是 TikTok Shop 商品 id 或商品 URL。 |
| 401 | UNAUTHORIZED | 缺少 x-api-key 请求头,或密钥已吊销或未知。 |
| 402 | INSUFFICIENT_BALANCE | 余额不足以支付本次调用。请在控制台充值。 |
| 404 | PRODUCT_NOT_FOUND | 该平台没有这个商品。 |
| 429 | MARKETPLACE_SATURATED | 并发调用过多。请等待 Retry-After 秒后重试。 |
| 502 | UPSTREAM_ERROR | 平台返回了无法使用的内容。请退避后重试。 |
全部错误代码见 Errors。失败的调用不计费。
价格
价格 每次调用 $0.001。标价;单日调用超过 1,000 次后单价下调。
说明
id是搜索结果项中的商品 id,或商品 URL。- 每个变体(
variants) 都有自己的价格、库存和限购数量,options给出可选项(颜色、尺码)。 - 评价请使用 Reviews。